# $Revision: 1.21 $, $Date: 2012/05/09 10:18:10 $
# TODO: optflags (where possible)
Summary:	Lazarus Component Library and IDE
Summary(pl.UTF-8):	Lazarus - biblioteka komponentów i IDE
Name:		lazarus
Version:	0.9.30.4
Release:	1
License:	GPL and modified LGPL
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/lazarus/%{name}-%{version}-src.tar.bz2
# Source0-md5:	ebd40cdfdfc4b66d1ced7a0d48d6da84
URL:		http://www.lazarus.freepascal.org/
Patch0:		%{name}-desktop.patch
BuildRequires:	fpc >= 2.4.0
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gtk+2-devel
%requires_eq	fpc
Requires:	fpc-src >= 2.4.0
Requires:	gdk-pixbuf >= 0.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		lazdir		%{_libdir}/lazarus

%description
Lazarus is a free and opensource RAD tool for freepascal using the
Lazarus Component Library (LCL), which is also included in this
package.

%description -l pl.UTF-8
Lazarus to darmowe i opensourcowe narzędzie RAD dla freepascala,
używające biblioteki komponentów LCL (Lazarus Component Library),
która jest także zawarta w tym pakiecie.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_libdir}/lazarus/docs,%{_pixmapsdir},%{_desktopdir},%{_bindir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

for i in components doceditor ide lcl units converter debugger ideintf languages localize.bat startlazarus \
designer images lazarus localize.sh packager tools ; do
cp -a $i $RPM_BUILD_ROOT%{_libdir}/lazarus
done

cp -a docs/*.html $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
cp -a docs/html $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
cp -a docs/images $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
cp -a docs/xml $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
install docs/Contributors.txt $RPM_BUILD_ROOT%{_libdir}/lazarus/docs

install images/ide_icon48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/lazarus.png
install install/lazarus.desktop $RPM_BUILD_ROOT%{_desktopdir}/lazarus.desktop
ln -sf %{lazdir}/lazarus $RPM_BUILD_ROOT%{_bindir}/lazarus
ln -sf %{lazdir}/startlazarus $RPM_BUILD_ROOT%{_bindir}/startlazarus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.txt docs/*.pdf
%attr(755,root,root) %{_bindir}/lazarus
%attr(755,root,root) %{_bindir}/startlazarus
%dir %{_libdir}/lazarus
%{_libdir}/lazarus/components
%{_libdir}/lazarus/converter
%{_libdir}/lazarus/debugger
%{_libdir}/lazarus/designer
%{_libdir}/lazarus/doceditor
%{_libdir}/lazarus/docs
%{_libdir}/lazarus/ide
%{_libdir}/lazarus/ideintf
%{_libdir}/lazarus/images
%{_libdir}/lazarus/languages
%{_libdir}/lazarus/lcl
%{_libdir}/lazarus/packager
%{_libdir}/lazarus/tools
%{_libdir}/lazarus/units
%attr(755,root,root) %{_libdir}/lazarus/lazarus
%attr(755,root,root) %{_libdir}/lazarus/startlazarus
%{_pixmapsdir}/lazarus.png
%{_desktopdir}/lazarus.desktop
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lazarus.spec,v $
Revision 1.21  2012/05/09 10:18:10  baggins
- rel 1

Revision 1.20  2012/05/09 10:09:23  baggins
- better source0 url

Revision 1.19  2012/05/09 10:00:57  baggins
- up to 0.9.30.4
- lazarus requires fpc it was built with

Revision 1.18  2010/01/15 07:04:23  arekm
- rel 2; lazarus doesn't use hardcoded paths acording to #lazarus-ide information so drop compat symlink

Revision 1.17  2010/01/15 00:50:18  sparky
- BR: gtk+2-devel instead of gtk+-devel

Revision 1.16  2010/01/14 21:33:16  arekm
- rel 1

Revision 1.15  2010/01/14 21:18:38  arekm
- up to 0.9.28.2

Revision 1.14  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.12  2006/06/10 16:16:02  witekfl
- Contributors.txt is used by the "About Lazarus"
- rel 0.3

Revision 1.11  2006/05/04 19:28:57  glen
- revert: unify examples dir

Revision 1.10  2006/05/04 17:16:40  rotom
- fixed examplesdir path

Revision 1.9  2006/04/27 19:50:57  qboosh
- hey, it still violates FHS - restored blocker

Revision 1.8  2006/04/27 19:27:35  qboosh
- unified examplesdir, no strip in build, BR cleanup

Revision 1.7  2006/04/27 18:41:03  rotom
- cleanups
- lazarus-desktop.patch added

Revision 1.6  2006/04/25 21:39:07  rotom
- up to 0.9.14
- it works but still many to do

Revision 1.5  2004/12/29 22:16:13  speedo
- typo

Revision 1.4  2004/12/27 20:30:14  qboosh
- missing dir

Revision 1.3  2004/12/27 20:19:13  speedo
- added docs and examples

Revision 1.2  2004/12/27 18:44:49  qboosh
- cleanups + blocker

Revision 1.1  2004/12/26 18:37:49  speedo
- initial release (not building)
